Sources
curl --request GET \
--url https://20b9-41-90-209-232.ngrok-free.app/v1/payins/sources \
--header 'Authorization: Bearer <token>'const url = 'https://20b9-41-90-209-232.ngrok-free.app/v1/payins/sources';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://20b9-41-90-209-232.ngrok-free.app/v1/payins/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://20b9-41-90-209-232.ngrok-free.app/v1/payins/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "payin_sources",
"target_currency": "NGN",
"sources": [
{
"kind": "bank",
"currency": "NGN",
"modes": [
{
"mode": "bank_details"
}
]
}
]
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API key provided."
}
}Payins
Sources
Funding options into a target wallet (bank details, momo, Interac, crypto).
GET
/
payins
/
sources
Sources
curl --request GET \
--url https://20b9-41-90-209-232.ngrok-free.app/v1/payins/sources \
--header 'Authorization: Bearer <token>'const url = 'https://20b9-41-90-209-232.ngrok-free.app/v1/payins/sources';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://20b9-41-90-209-232.ngrok-free.app/v1/payins/sources"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://20b9-41-90-209-232.ngrok-free.app/v1/payins/sources"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "payin_sources",
"target_currency": "NGN",
"sources": [
{
"kind": "bank",
"currency": "NGN",
"modes": [
{
"mode": "bank_details"
}
]
}
]
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Invalid API key provided."
}
}Authorizations
Secret API key from Settings → Developers → API keys.
Example: Authorization: Bearer sk_test_…
Query Parameters
Book currency you want to credit (ISO 4217 / stablecoin).
Example:
"NGN"